# Deploy stage
deploy:
  stage: deploy
  script:
    - mkdir -p /var/www/html/fdfurnitureapps 
    # Copy the built files to the web server
    - cp -r * /var/www/html/fdfurnitureapps 
    # Copy the built files to the web server
    - cp -r /var/www/html/fdfurnitureapps /env/* /var/www/html/fdfurnitureapps/demo/
    # - sudo chmod 777 -R /mnt/thedata/webdata/admin.moodyyc.com/demo/tmp/
    # - sudo chmod 777 -R /mnt/thedata/webdata/admin.moodyyc.com/demo/logs/
    # - sudo chmod 777 -R /mnt/thedata/webdata/admin.moodyyc.com/demo/webroot/files
     
  only:
    - master  # Only deploy when changes are pushed to the master branch